import request from '@/utils/request'

// 查询工作记录列表
export function listWorkrecard(query) {
  return request({
    url: '/szxc/workrecard/list',
    method: 'get',
    params: query
  })
}

// 查询工作记录详细
export function getWorkrecard(id) {
  return request({
    url: '/szxc/workrecard/' + id,
    method: 'get'
  })
}

// 新增工作记录
export function addWorkrecard(data) {
  return request({
    url: '/szxc/workrecard',
    method: 'post',
    data: data
  })
}

// 修改工作记录
export function updateWorkrecard(data) {
  return request({
    url: '/szxc/workrecard',
    method: 'put',
    data: data
  })
}

// 删除工作记录
export function delWorkrecard(id) {
  return request({
    url: '/szxc/workrecard/' + id,
    method: 'delete'
  })
}
